kenwatt1
Posts: 3
Joined: Sat Dec 08, 2018 11:39 am

obconf issue following upgrade to Stretch 4.14.79-v7+

Wed Dec 19, 2018 1:56 pm

Folks,

Experiencing issues with opconf and LxDE (system details below). When invoked through the desktop menu, opconf appears to run initially (but fails to display its screen), then dies. Via the cli, it reports “Segmentation fault”. Adding –f to the cli command, the screen displays as expected but abends with the error “Unable to extract the file “-f”, followed by a list of errors related to tar (child) etc.

I have several RPI 3s which now have this issue, following an update/upgrade to 4.14.79-v7+

All the PI3s run the same Stretch version:

Stretch Lite: Linux version 4.14.79-v7+ (dc4@dc4-XPS13-9333) (gcc version 4.9.3 (crosstool-NG crosstool-ng-1.22.0-88-g8460611)) #1159 SMP Sun Nov 4 17:50:20 GMT 2018

LxDE. Installed as follows:

sudo apt-get install --no-install-recommends xserver-xorg
sudo apt-get install --no-install-recommends xinit
sudo apt-get install lxde-core lxappearance
reboot

openbox installed as follows:

sudo apt install openbox obconf

sources.list:

deb http://raspbian.raspberrypi.org/raspbian/ stretch main contrib non-free rpi
deb https://download.webmin.com/download/repository sarge contrib
# Uncomment line below then 'apt-get update' to enable 'apt-get source'
#deb-src http://raspbian.raspberrypi.org/raspbian/ stretch main contrib non-free rpi

All PI3s were updated as follows:

Apt update > apt upgrade > apt dist-upgrade, followed by a reboot.

I note that the release notes for 2018-11-13-raspbian-stretch-lite update state:

* Modifications to LXDE components to enable local configuration to override global
configuration correctly
* Modifications to Appearance Settings to support above configuration changes
* Modifications to various initial config defaults and relevant package to support above
configuration changes
* Selecting default option in Appearance Settings now deletes relevant local configuration files

I am assuming the 2018-11-13 release updates to 4.14.79-v7+ and addresses the above issue after a dist-upgrade?

I have attempted several reinstalls with purge and autoclean with no luck. Would appreciate any pointers.

Cheers

Ken

User avatar
GavinW
Posts: 90
Joined: Tue Nov 01, 2011 8:11 pm
Location: UK
Contact: Website

Re: obconf issue following upgrade to Stretch 4.14.79-v7+

Wed Dec 19, 2018 10:59 pm

I too have just done a sudo apt-get dist-upgrade and uname -a says Linux Raspberrypi 4.14.79-v7+. As for you, obconf does not seem to work, nor does lxappearance. That command brings up the error Failed to load module "atk-bridge".
otium negare negotium vanum

klricks
Posts: 6586
Joined: Sat Jan 12, 2013 3:01 am
Location: Grants Pass, OR, USA
Contact: Website

Re: obconf issue following upgrade to Stretch 4.14.79-v7+

Thu Dec 20, 2018 1:17 am

+1
Using an updated standard full Raspbian Desktop install.
obconf gives Segmentation fault.
I use obconf to configure multiple desktops.
Unless specified otherwise my response is based on the latest and fully updated Raspbian Buster w/ Desktop OS.

n67
Posts: 938
Joined: Mon Oct 30, 2017 4:55 pm

Re: obconf issue following upgrade to Stretch 4.14.79-v7+

Thu Dec 20, 2018 5:59 am

Yes. This is true. I noticed this a few days ago.

BTW, you can enable multiple desktop functionality with the wmctrl program, which is in the repo.
I find that this does most of what I need, so the loss of obconf is not a biggie. The one thing you can't do with wmctrl is to "name" the desktops. This is annoying, but tolerable.
"L'enfer, c'est les autres"

G fytc hsqr rum umpbq rm qyw rm rfc kmbq md rfgq dmpsk:

Epmu Sn!

J lnacjrw njbruh-carppnanm vxm rb mnuncrwp vh yxbcb!

kenwatt1
Posts: 3
Joined: Sat Dec 08, 2018 11:39 am

Re: obconf issue following upgrade to Stretch 4.14.79-v7+

Thu Dec 20, 2018 2:50 pm

Thank you all for the prompt replies and confirmation of the issue. Thank you n67 for the suggestion to try out wmctrl ; will do this evening. It's unlikely, but perhaps there was a failure in the update/dist-upgrade process, or my sources.list is incorrect. I'll re-install the latest version of Stretch-Lite (2018-11-13) on my sandbox, and determine whether it does address the obconf issue as per the release notes. I'll post the results here as soon as I can.

Cheers

Ken

JamesPi123
Posts: 111
Joined: Fri Sep 23, 2016 10:02 pm
Location: Inside my Pi
Contact: Website

Re: obconf issue following upgrade to Stretch 4.14.79-v7+

Sun Dec 30, 2018 6:30 am

Funny. Noticed this 2 weeks a go and tried all of the above and it still didn't work. Thought is wan only me.

JamesPi123
Posts: 111
Joined: Fri Sep 23, 2016 10:02 pm
Location: Inside my Pi
Contact: Website

Re: obconf issue following upgrade to Stretch 4.14.79-v7+

Sun Dec 30, 2018 6:38 am

kenwatt1 wrote:
Wed Dec 19, 2018 1:56 pm
Folks,

Experiencing issues with opconf and LxDE (system details below). When invoked through the desktop menu, opconf appears to run initially (but fails to display its screen), then dies. Via the cli, it reports “Segmentation fault”. Adding –f to the cli command, the screen displays as expected but abends with the error “Unable to extract the file “-f”, followed by a list of errors related to tar (child) etc.

I have several RPI 3s which now have this issue, following an update/upgrade to 4.14.79-v7+

All the PI3s run the same Stretch version:

Stretch Lite: Linux version 4.14.79-v7+ (dc4@dc4-XPS13-9333) (gcc version 4.9.3 (crosstool-NG crosstool-ng-1.22.0-88-g8460611)) #1159 SMP Sun Nov 4 17:50:20 GMT 2018

LxDE. Installed as follows:

sudo apt-get install --no-install-recommends xserver-xorg
sudo apt-get install --no-install-recommends xinit
sudo apt-get install lxde-core lxappearance
reboot

openbox installed as follows:

sudo apt install openbox obconf

sources.list:

deb http://raspbian.raspberrypi.org/raspbian/ stretch main contrib non-free rpi
deb https://download.webmin.com/download/repository sarge contrib
# Uncomment line below then 'apt-get update' to enable 'apt-get source'
#deb-src http://raspbian.raspberrypi.org/raspbian/ stretch main contrib non-free rpi

All PI3s were updated as follows:

Apt update > apt upgrade > apt dist-upgrade, followed by a reboot.

I note that the release notes for 2018-11-13-raspbian-stretch-lite update state:

* Modifications to LXDE components to enable local configuration to override global
configuration correctly
* Modifications to Appearance Settings to support above configuration changes
* Modifications to various initial config defaults and relevant package to support above
configuration changes
* Selecting default option in Appearance Settings now deletes relevant local configuration files

I am assuming the 2018-11-13 release updates to 4.14.79-v7+ and addresses the above issue after a dist-upgrade?

I have attempted several reinstalls with purge and autoclean with no luck. Would appreciate any pointers.

Cheers

Ken
On a side note (not that this matters), I can see you are using the webmin repository for Debian Sarge!
You are using Stretch (Sarge is from 2005 and the package might be old)

beerPriest
Posts: 1
Joined: Wed Jan 02, 2019 8:55 pm

Re: obconf issue following upgrade to Stretch 4.14.79-v7+

Wed Jan 02, 2019 9:00 pm

+1 still no solution for the sementation fault of obconf and lxappearance?

klricks
Posts: 6586
Joined: Sat Jan 12, 2013 3:01 am
Location: Grants Pass, OR, USA
Contact: Website

Re: obconf issue following upgrade to Stretch 4.14.79-v7+

Fri Jan 04, 2019 2:00 am

beerPriest wrote:
Wed Jan 02, 2019 9:00 pm
+1 still no solution for the segmentation fault of obconf and lxappearance?
Having an issue posted in these forums is no guarantee that those who may be able to fix the issue will even see the post let alone solve it.

Another thread here: viewtopic.php?f=28&t=229983
Unless specified otherwise my response is based on the latest and fully updated Raspbian Buster w/ Desktop OS.

klricks
Posts: 6586
Joined: Sat Jan 12, 2013 3:01 am
Location: Grants Pass, OR, USA
Contact: Website

Re: obconf issue following upgrade to Stretch 4.14.79-v7+

Fri Jan 11, 2019 12:54 am

The obconf issue has been fixed with today's update:

Code: Select all

sudo apt update
sudo apt upgrade
Unless specified otherwise my response is based on the latest and fully updated Raspbian Buster w/ Desktop OS.

kenwatt1
Posts: 3
Joined: Sat Dec 08, 2018 11:39 am

Re: obconf issue following upgrade to Stretch 4.14.79-v7+

Mon Jan 28, 2019 1:06 pm

Kricks,

Yes many thanks! Updated/upgraded a couple of days ago, and all appears stable.

Cheers

Ken

Return to “Troubleshooting”